GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
gdcm::Modules Class Reference

Class for representing a Modules. More...

`#include <gdcmModules.h>`

## Public Types

typedef std::map< std::string, Module > | ModuleMapType

## Public Member Functions

| Modules ()
void | AddModule (const char *ref, const Module &module)
void | Clear ()
const Module & | GetModule (const char *name) const
bool | IsEmpty () const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Modules &_val)

## Detailed Description

Class for representing a Modules.

Note
  bla

See Also
  Module

Examples:
  TraverseModules.cxx.

## Member Typedef Documentation

typedef std::map<std::string, Module> gdcm::Modules::ModuleMapType

## Constructor & Destructor Documentation

gdcm::Modules::Modules | ( |  | ) |

inline

## Member Function Documentation

void gdcm::Modules::AddModule | ( | const char * | ref,
|  | const Module & | module
| ) |  |

inline

void gdcm::Modules::Clear | ( |  | ) |

inline

const Module& gdcm::Modules::GetModule | ( | const char * | name | ) | const

inline

bool gdcm::Modules::IsEmpty | ( |  | ) | const

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Modules & | _val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmModules.h